Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.animations
Class FadeAnimation

    java.lang.Object
      com.maryanovsky.gwtutils.client.ui.Animation
          com.maryanovsky.gwtutils.client.ui.animations.FadeAnimation

    public class FadeAnimation

extends Animation

An animation that changes the opacity of a specified element.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.gwtutils.client.ui.Animation
`DEFAULT_FPS`

Constructor Summary
`FadeAnimation(int duration, Element element, double startOpacity, double endOpacity)` Creates a new `FadeAnimation` with the specified duration, element and initial and final opacity.
`FadeAnimation(int duration, int fps, Element element, double startOpacity, double endOpacity)` Creates a new `FadeAnimation` with the specified duration, frame rate, element, and initial and final opacity.

Method Summary
`protected void` | `animationEnd()` Invoked to end the animation.
`protected void` | `animationStart()` Invoked to start the animation.
`protected void` | `nextFrame()` Invoked for each frame of the animation.

Methods inherited from class com.maryanovsky.gwtutils.client.ui.Animation
`end, getDuration, getFps, getHalfSinusoidalProgress, getLinearProgress, getSinusoidalProgress, isRunning, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FadeAnimation

    public FadeAnimation(int duration,
                         int fps,
                         Element element,
                         double startOpacity,
                         double endOpacity)

  Creates a new `FadeAnimation` with the specified duration, frame rate, element, and initial and final opacity.

### FadeAnimation

    public FadeAnimation(int duration,
                         Element element,
                         double startOpacity,
                         double endOpacity)

  Creates a new `FadeAnimation` with the specified duration, element and initial and final opacity.

Method Detail

### animationStart

    protected void animationStart()

  Invoked to start the animation.

  Specified by:
    `animationStart` in class `Animation`

### nextFrame

    protected void nextFrame()

  Invoked for each frame of the animation.

  Specified by:
    `nextFrame` in class `Animation`

### animationEnd

    protected void animationEnd()

  Invoked to end the animation.

  Specified by:
    `animationEnd` in class `Animation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD